import { PixDynamicFn, PixStaticFn } from './pixFunctions';
export declare type PixEmvMandatoryElements = {
    readonly merchantCategoryCode: string;
    readonly transactionCurrency: string;
    readonly countryCode: string;
    readonly merchantName: string;
    readonly merchantCity: string;
};
export declare type PixEmvBasicElements = PixEmvMandatoryElements & {
    readonly oneTime?: boolean;
};
export declare enum PixElementType {
    DYNAMIC = "DYNAMIC",
    STATIC = "STATIC",
    INVALID = "INVALID"
}
export declare type DynamicPixEmvElements = PixEmvBasicElements & {
    readonly type: PixElementType.DYNAMIC;
    readonly url: string;
};
export declare type StaticPixEmvElements = PixEmvBasicElements & {
    readonly type: PixElementType.STATIC;
    readonly transactionAmount?: number;
    readonly pixKey: string;
    readonly txid?: string;
    readonly infoAdicional?: string;
};
export declare type InvalidPixElements = {
    readonly type: PixElementType.INVALID;
    readonly details: string;
};
export declare type PixElements = StaticPixEmvElements | DynamicPixEmvElements;
export declare type PixStaticObject = StaticPixEmvElements & PixStaticFn;
export declare type PixDynamicObject = DynamicPixEmvElements & PixDynamicFn;
export declare type PixObject = PixStaticObject | PixDynamicObject;
